FlowDrop Docs
API referencePlayground

List playground sessions for a workflow

Retrieve all playground sessions associated with a workflow. Sessions are used to test and interact with workflows in an isolated environment.

GET
/workflows/{id}/playground/sessions

Authorization

AuthorizationBearer <token>

JWT token for authentication

In: header

Path Parameters

id*string

Workflow UUID

Formatuuid

Query Parameters

limit?integer

Maximum number of sessions to return

Range1 <= value <= 100
Default20
offset?integer

Number of sessions to skip

Range0 <= value
Default0

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/workflows/497f6eca-6276-4993-bfeb-53cbbbba6f08/playground/sessions"
{  "success": true,  "message": "string",  "error": "string",  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "workflowId": "43c4fa9b-0cbc-4b57-a121-9d7d46a3eaa4",      "name": "Test Session 1",      "status": "idle",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "executions": [        {          "id": "string",          "startedAt": "2019-08-24T14:15:22Z",          "status": "running"        }      ],      "metadata": {}    }  ]}